Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkMatrixToHomogeneousTransform Class Reference

`#include <vtkMatrixToHomogeneousTransform.h>`

Inheritance diagram for vtkMatrixToHomogeneousTransform:

[legend]
Collaboration diagram for vtkMatrixToHomogeneousTransform:

[legend]
List of all members.

## Detailed Description

convert a matrix to a transform

Date:
  2002/12/26 18:24:21

Revision:
  1.10

This is a very simple class which allows a vtkMatrix4x4 to be used in place of a vtkHomogeneousTransform or vtkAbstractTransform. For example, if you use it as a proxy between a matrix and vtkTransformPolyDataFilter then any modifications to the matrix will automatically be reflected in the output of the filter.

See also:
  vtkPerspectiveTransform vtkMatrix4x4 vtkMatrixToLinearTransform

Created by:
  - Gobbi, David

CVS contributions (if > 5%):
  - Gobbi, David (79%)
  - Cedilnik, Andy (9%)
  - Schroeder, Will (9%)

CVS logs (CVSweb):
  - .`h` (`/Common/vtkMatrixToHomogeneousTransform.h)`
  - .`cxx` (`/Common/vtkMatrixToHomogeneousTransform.cxx)`

Tests:
  vtkMatrixToHomogeneousTransform (Tests)

Definition at line 54 of file vtkMatrixToHomogeneousTransform.h.

## Public Types
typedef vtkHomogeneousTransform | Superclass
## Public Methods
virtual const char * | GetClassName ()
virtual int | IsA (const char *type)
void | PrintSelf (ostream &os, vtkIndent indent)
virtual void | SetInput (vtkMatrix4x4 *)
virtual vtkMatrix4x4 * | GetInput ()
void | Inverse ()
unsigned long | GetMTime ()
vtkAbstractTransform * | MakeTransform ()
void | SetMatrix (vtkMatrix4x4 *matrix)
## Static Public Methods
vtkMatrixToHomogeneousTransform * | New ()
int | IsTypeOf (const char *type)
vtkMatrixToHomogeneousTransform * | SafeDownCast (vtkObject *o)
## Protected Methods
| vtkMatrixToHomogeneousTransform ()
| ~vtkMatrixToHomogeneousTransform ()
void | InternalUpdate ()
void | InternalDeepCopy (vtkAbstractTransform *transform)
## Protected Attributes
int | InverseFlag
vtkMatrix4x4 * | Input

## Member Typedef Documentation

typedef vtkHomogeneousTransform vtkMatrixToHomogeneousTransform::Superclass

| Reimplemented from vtkHomogeneousTransform. Definition at line 58 of file vtkMatrixToHomogeneousTransform.h.

## Constructor & Destructor Documentation

vtkMatrixToHomogeneousTransform::vtkMatrixToHomogeneousTransform | ( |  | ) | `[protected]`

vtkMatrixToHomogeneousTransform::~vtkMatrixToHomogeneousTransform | ( |  | ) | `[protected]`

## Member Function Documentation

vtkMatrixToHomogeneousTransform* vtkMatrixToHomogeneousTransform::New | ( |  | ) | `[static]`

| Create an object with Debug turned off, modified time initialized to zero, and reference counting on. Reimplemented from vtkObject.

virtual const char* vtkMatrixToHomogeneousTransform::GetClassName | ( |  | ) | `[virtual]`

| Reimplemented from vtkHomogeneousTransform.

int vtkMatrixToHomogeneousTransform::IsTypeOf | ( | const char * | type | ) | `[static]`

| Return 1 if this class type is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkHomogeneousTransform.

virtual int vtkMatrixToHomogeneousTransform::IsA | ( | const char * | type | ) | `[virtual]`

| Return 1 if this class is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkHomogeneousTransform.

vtkMatrixToHomogeneousTransform* vtkMatrixToHomogeneousTransform::SafeDownCast | ( | vtkObject * | o | ) | `[static]`

| Reimplemented from vtkHomogeneousTransform.

void vtkMatrixToHomogeneousTransform::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) | `[virtual]`

| Methods invoked by print to print information about the object including superclasses. Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes. Reimplemented from vtkHomogeneousTransform.

virtual void vtkMatrixToHomogeneousTransform::SetInput | ( | vtkMatrix4x4 * |  | ) | `[virtual]`

virtual vtkMatrix4x4* vtkMatrixToHomogeneousTransform::GetInput | ( |  | ) | `[virtual]`

void vtkMatrixToHomogeneousTransform::Inverse | ( |  | ) | `[virtual]`

| The input matrix is left as-is, but the transformation matrix is inverted. Implements vtkAbstractTransform.

unsigned long vtkMatrixToHomogeneousTransform::GetMTime | ( |  | ) | `[virtual]`

| Get the MTime: this is the bit of magic that makes everything work. Reimplemented from vtkAbstractTransform.

vtkAbstractTransform* vtkMatrixToHomogeneousTransform::MakeTransform | ( |  | ) | `[virtual]`

| Make a new transform of the same type. Implements vtkAbstractTransform.

void vtkMatrixToHomogeneousTransform::SetMatrix | ( | vtkMatrix4x4 * | matrix | ) | `[inline]`

| This method is deprecated. Definition at line 78 of file vtkMatrixToHomogeneousTransform.h.

void vtkMatrixToHomogeneousTransform::InternalUpdate | ( |  | ) | `[protected, virtual]`

| Perform any subclass-specific Update. Reimplemented from vtkAbstractTransform.

void vtkMatrixToHomogeneousTransform::InternalDeepCopy | ( | vtkAbstractTransform * | transform | ) | `[protected, virtual]`

| Perform any subclass-specific DeepCopy. Reimplemented from vtkHomogeneousTransform.

## Member Data Documentation

int vtkMatrixToHomogeneousTransform::InverseFlag`[protected]`

| Definition at line 90 of file vtkMatrixToHomogeneousTransform.h.

vtkMatrix4x4* vtkMatrixToHomogeneousTransform::Input`[protected]`

| Definition at line 91 of file vtkMatrixToHomogeneousTransform.h.

The documentation for this class was generated from the following file:

- Common/vtkMatrixToHomogeneousTransform.h